Subject: Bug#989: [X2Go-Dev] Bug#989: pyhoca-gui fails to fall back to Gtk-2.0 notifications (pynotify)

From: Ondřej Grover <[email-masked]>
Date: Thu, 4 Feb 2016 18:07:17 +0100

Thank you for looking into this.

On Thu, Feb 4, 2016 at 5:49 PM, Mihai Moldovan <[email-masked]> wrote:
>
> I've been looking around for a way to actually rollback a failing module
> import
> and came up with zit.
>
AFAIK that's not really possible in Python as of writing this, especially
with complicated binary modules.
I think a solution might be to abandon the common Python EAFP idiom,
because it assumes graceful failure without such ugly side-effects.
However, I'm not sure what the LBYL alternative is in this case. But I
think there should be one, possibly loading just some high-level gi module
to list available APIs?

Kind regards,
Ondřej Grover